<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<title>Source blocks with highlightjs</title>
<meta name="author" content="Jens Lechtenbörger"/>
<style type="text/css">
.underline { text-decoration: underline; }
</style>
<link rel="stylesheet" href="./reveal.js/css/reveal.css"/>

<link rel="stylesheet" href="./reveal.js/css/theme/black.css" id="theme"/>
<link rel="stylesheet" href="./reveal.js/lib/css/zenburn.css"/>

<!-- If the query includes 'print-pdf', include the PDF print sheet -->
<script>
    if( window.location.search.match( /print-pdf/gi ) ) {
        var link = document.createElement( 'link' );
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = './reveal.js/css/print/pdf.css';
        document.getElementsByTagName( 'head' )[0].appendChild( link );
    }
</script>
</head>
<body>
<div class="reveal">
<div class="slides">
<section id="sec-title-slide">
<h1 class="title">Source blocks with highlightjs</h1><h2 class="author">Jens Lechtenbörger</h2><p class="date">Created:{{date}}</p>
</section>

<section>
<section id="slide-1">
<h2 id="1"><span class="section-number-2">1</span> Source blocks without language</h2>
<div class="outline-text-2" id="text-1">
</div>
</section>
<section id="slide-1-1">
<h3 id="1-1"><span class="section-number-3">1.1</span> No fragments, no explicit classes</h3>
<pre>
Some text
without language
</pre>

</section>
<section id="slide-1-2">
<h3 id="1-2"><span class="section-number-3">1.2</span> No fragments, use of <code>attr_html</code></h3>
<p>
(See HTML code for <code>someClass</code>)
</p>
<pre class="someClass">
Some text
without language
</pre>

</section>
<section id="slide-1-3">
<h3 id="1-3"><span class="section-number-3">1.3</span> Multiple source blocks with given order</h3>
<pre data-fragment-index="2" class="fragment someClass">
Some text
</pre>
<pre data-fragment-index="1" class="fragment otherClass">
without language
</pre>

</section>
</section>
<section>
<section id="slide-2">
<h2 id="2"><span class="section-number-2">2</span> Source blocks with language</h2>
<div class="outline-text-2" id="text-2">
</div>
</section>
<section id="slide-2-1">
<h3 id="2-1"><span class="section-number-3">2.1</span> Python code without fragments, with ID, caption, line numbers</h3>
<div class="org-src-container">
<label class="org-src-name">Factorial in Python</label>
<pre id="python-factorial"><code class="python" data-line-numbers>def factorial(n):
    if n &lt; 2:
	return 1
    else:
	return n * factorial(n - 1)

print(factorial(10))
</code></pre>
</div>

</section>
<section id="slide-2-2">
<h3 id="2-2"><span class="section-number-3">2.2</span> Multiple source blocks with given order</h3>
<div class="org-src-container">

<pre data-fragment-index="2" class="fragment someClass"><code class="python" data-line-numbers="1,5">def factorial(n):
    if n &lt; 2:
	return 1
    else:
	return n * factorial(n - 1)
</code></pre>
</div>
<div class="org-src-container">

<pre data-fragment-index="1" class="fragment otherClass"><code class="python" >print(factorial(10))
</code></pre>
</div>
</section>
</section>
</div>
</div>
<script src="./reveal.js/lib/js/head.min.js"></script>
<script src="./reveal.js/js/reveal.js"></script>
<script>
// Full list of configuration options available here:
// https://github.com/hakimel/reveal.js#configuration
Reveal.initialize({

controls: true,
progress: true,
history: false,
center: true,
slideNumber: 'c',
rollingLinks: false,
keyboard: true,
mouseWheel: false,
fragmentInURL: false,
hashOneBasedIndex: false,
pdfSeparateFragments: true,
overview: true,
width: 1400,
height: 1000,

theme: Reveal.getQueryHash().theme, // available themes are in /css/theme
transition: Reveal.getQueryHash().transition || 'convex', // see README of reveal.js for options
transitionSpeed: 'default',

// Optional libraries used to extend reveal.js
dependencies: [
 { src: './reveal.js/plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } }]

});
</script>
</body>
</html>
